> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/1-11-0/documentation/services/service-commissioning-files/resources/cybus-volume.md).

# Cybus::Volume

A volume represents a storage space and can be associated to [containers](/1-11-0/documentation/services/service-commissioning-files/resources/cybus-container.md).

{% hint style="warning" %}
This feature is available only in *docker-compose* deployments, but not in *kubernetes* deployments of the Connectware. Using this in a *kubernetes* deployment will be refused with a suitable error message.
{% endhint %}

The life-time of the storage volume is as follows: If it does not exist upon enabling the service, the volume will be newly created by Connectware. Subsequently, it will neither be deleted nor truncated by Connectware, neither on disabling the service nor on any other occasion. It needs to be deleted manually. The idea is that it will stay between services being installed, enabled, disabled and removed.

Commissioning files can additionally specify *files* as [Cybus::File](/1-11-0/documentation/services/service-commissioning-files/resources/cybus-file.md) resources which should be created inside volumes.

## Example

{% code lineNumbers="true" %}

```yaml
myVolume:
    type: Cybus::Volume
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cybus.io/1-11-0/documentation/services/service-commissioning-files/resources/cybus-volume.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
